Page MenuHomePhabricator

Cleanup 'inactive' usergroup on aawiki
Closed, ResolvedPublic

Description

I don't know why are users flagged with such user right (the rights log does not show any right changes), but they're a lot of users with 'inactive' permissions enabled. Someone with SQL admin access should remove it from those users. Also, there's no hook in InitialiseSettings nor CommonSettings and the right does not even appear at Special:ListGroupRights.

https://aa.wikipedia.org/w/index.php?title=Special%3AListUsers&username=&group=inactive

Event Timeline

Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptNov 11 2016, 2:53 PM

Please note that aawiki is closed since some years already and it's been used for all sorts of testing.

I know that group name has been added to users by DisableAccount, which historically didn't log anything. But it doesn't look like these users were disabled by DisableAccount.

MarcoAurelio added a comment.EditedNov 11 2016, 6:11 PM

Yes, it can be added two ways: using UserRights or using DisableAccount (which didn't left any trace in the rights log). I've not checked, but it doesn't look like aawiki does use DisableAccount so I'm not sure where those 'inactive' flags came from.

UserRights

Which should've always logged

or using DisableAccount

Which probably never logged while this wiki was in use.

it doesn't look like aawiki does use DisableAccount

Ever? Or just now?

Even if DisableAccount was enabled, I don't think it was used on these.

I'm not sure if DisableAccount was ever used in that wiki, I guess one could browse the history InitialiseSettings.php and see if it was ever enabled there. I think the easy solution would be to query the data of those accounts and see if the password and email fields are empty (which is what DisableAccount was suposed to do, right?) and if they're empty, then yes, we can assume they were disabled.

I think the easy solution would be to query the data of those accounts and see if the password and email fields are empty (which is what DisableAccount was suposed to do, right?) and if they're empty, then yes, we can assume they were disabled.

I did that, I don't think they've been disabled.

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptAug 2 2017, 3:31 AM

Mentioned in SAL (#wikimedia-operations) [2019-09-17T11:13:50Z] <Urbanecm> Run mwscript emptyUserGroup.php --wiki=aawiki 'inactive' (T150538)

Urbanecm closed this task as Resolved.Sep 17 2019, 11:14 AM
Urbanecm claimed this task.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptSep 17 2019, 11:14 AM